## org.eclipse.datatools.modelbase.derby
Interface DerbyModelFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface DerbyModelFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `DerbyModelPackage`

Field Summary
`static DerbyModelFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`DerbySchema` `createDerbySchema()` Returns a new object of class 'Derby Schema'.
`Synonym` `createSynonym()` Returns a new object of class 'Synonym'.
`DerbyModelPackage` `getDerbyModelPackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final DerbyModelFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createSynonym

    Synonym createSynonym()

  Returns a new object of class 'Synonym'.

  Returns:
    a new object of class 'Synonym'.

### createDerbySchema

    DerbySchema createDerbySchema()

  Returns a new object of class 'Derby Schema'.

  Returns:
    a new object of class 'Derby Schema'.

### getDerbyModelPackage

    DerbyModelPackage getDerbyModelPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.